import { Construct } from "constructs";
export interface SonarCodeScannerConfig {
    readonly cfnNagIgnorePath?: string;
    readonly cdkOutDir?: string;
    readonly excludeGlobsForScan?: string[];
    readonly includeGlobsForScan?: string[];
    readonly sonarqubeEndpoint: string;
    readonly sonarqubeDefaultProfileOrGateName: string;
    readonly sonarqubeSpecificProfileOrGateName?: string;
    readonly sonarqubeAuthorizedGroup: string;
    readonly sonarqubeProjectName: string;
    readonly sonarqubeTags?: string[];
    readonly preArchiveCommands?: string[];
}
export interface SonarCodeScannerProps extends SonarCodeScannerConfig {
    readonly synthBuildArn: string;
    readonly artifactBucketArn: string;
    readonly artifactBucketKeyArn?: string;
}
export declare class SonarCodeScanner extends Construct {
    constructor(scope: Construct, id: string, props: SonarCodeScannerProps);
}
